Module jdk.jfr
Package jdk.jfr

# Annotation Interface DataAmount

@Retention(RUNTIME) @Target({FIELD,TYPE,METHOD}) public @interface DataAmount
Event field annotation, specifies that a value represents an amount of data (for example, bytes).

Since:
  9

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
Returns the unit for the data amount, by default bytes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`BITS`
Unit for bits
`static String`
`BYTES`
Unit for bytes

## Field Details

### BITS

static final String BITS
Unit for bits

See Also:
  Constant Field Values

### BYTES

static final String BYTES
Unit for bytes

See Also:
  Constant Field Values

## Element Details

### value

String value
Returns the unit for the data amount, by default bytes.

Returns:
  the data amount unit, default `BYTES`, not `null`

Default:
  "BYTES"